Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Interface IResourceDependencyRemoteResolver

All Known Implementing Classes:
  `ResourceDependencyRemoteResolver`

public interface IResourceDependencyRemoteResolver
A resource dependency provider is in charge of providing the dependencies of resources (local or remote resources, remote meaning hosted in git for instance).

## Method Summary

Modifier and Type
Method
Description
`void`
`demandRemoteResolve(SynchronizedResourceSet resourceSet, URI uri, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor tspm)`
Allows callers to launch the loading and resolution of the model pointed at by the given URI, without updating the
invalid reference

    #dependencyGraph

along the way.
`org.eclipse.emf.compare.ide.ui.internal.logical.resolver.RemoteResolveComputation`
`getRemoteResolveComputation(SynchronizedResourceSet resourceSet, URI uri, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor tspm)`
Provides the computation to run for remote resolutions.
`SynchronizedResourceSet`
`getResourceSetForRemoteResolution(DiagnosticSupport diagnostic, ThreadSafeProgressMonitor tspm)`
Provides the resources set to use for remote resolve computations.

## Method Details

### demandRemoteResolve

void demandRemoteResolve(SynchronizedResourceSet resourceSet, URI uri, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor tspm)
Allows callers to launch the loading and resolution of the model pointed at by the given URI, without updating the
invalid reference

    #dependencyGraph

along the way.

This will check whether the given storage isn't already being resolved, then submit a job to the

invalid reference

    #resolvingPool

to load and resolve the model in a separate thread.

Parameters:
  `resourceSet` - The resource set in which to load the resource.
  `uri` - The uri we are to try and load as a model.
  `diagnostic` - The diagnostic
  `tspm` - Monitor on which to report progress to the user.

### getRemoteResolveComputation

org.eclipse.emf.compare.ide.ui.internal.logical.resolver.RemoteResolveComputation getRemoteResolveComputation(SynchronizedResourceSet resourceSet, URI uri, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor tspm)
Provides the computation to run for remote resolutions.

Parameters:
  `resourceSet` - The resource set
  `uri` - The URI
  `diagnostic` - The diagnostic
  `tspm` - The progress monitor
Returns:
  The computation to run in the scheduler to resolve the remote URIs.

### getResourceSetForRemoteResolution

SynchronizedResourceSet getResourceSetForRemoteResolution(DiagnosticSupport diagnostic, ThreadSafeProgressMonitor tspm)
Provides the resources set to use for remote resolve computations.

Parameters:
  `diagnostic` - The diagnostic
  `tspm` - The progress monitor
Returns:
  The resource set to use for remote resolutions.